Loading...
Searching...
No Matches
CObjectCondition Class Reference

Base object condition structure. More...

`#include <src/level/scene_conditions.h>`

Inheritance diagram for CObjectCondition:
[legend]

## Public Member Functions

virtual void | Read (CLevelParserLine *line)
| Read from line in scene file.
bool | CheckForObject (CObject *obj)
| Checks if this condition is met.
int | CountObjects ()
| Count all object matching the conditions.

## Public Attributes

Math::Vector | pos = Math::Vector(0.0f, 0.0f, 0.0f)*g_unit
float | dist = 8.0f*g_unit
ObjectType | type = OBJECT_NULL
float | powermin = -1
float | powermax = 100
ToolType | tool = ToolType::Other
DriveType | drive = DriveType::Other
bool | countTransported = true
int | team = 0

## Detailed Description

Base object condition structure.

## Member Function Documentation

## Read()

void CObjectCondition::Read | ( | CLevelParserLine * | line | ) |

virtual

Read from line in scene file.

Reimplemented in CAudioChangeCondition, CSceneCondition, CSceneEndCondition, CScoreboard::CScoreboardKillRule, and CScoreboard::CScoreboardObjectRule.

## CheckForObject()

bool CObjectCondition::CheckForObject | ( | CObject * | obj | ) |

Checks if this condition is met.

## CountObjects()

int CObjectCondition::CountObjects | ( |  | ) |

Count all object matching the conditions.

The documentation for this class was generated from the following files:

- src/level/scene_conditions.h
- src/level/scene_conditions.cpp